Bug 1585411 - systemd.automount fails after update to 7.5 in case of missing mount point
Summary: systemd.automount fails after update to 7.5 in case of missing mount point
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks: 1729231
TreeView+ depends on / blocked
 
Reported: 2018-06-02 14:24 UTC by Denis Silakov
Modified: 2019-08-22 13:02 UTC (History)
14 users (show)

Fixed In Version: systemd-219-69.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1729231 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)

Description Denis Silakov 2018-06-02 14:24:14 UTC
Description of problem:
x-systemd.automount entry in /etc/fstab stopped working after update from 7.4 to 7.5 in case when mount point does.nt exist.

Version-Release number of selected component (if applicable):
systemd-219-57

How reproducible:
Always

Steps to Reproduce:
# echo tmpfs /mnt/auto.test tmpfs defaults,noauto,x-systemd.automount 0 0 >> /etc/fstab
# systemctl daemon-reload
# rm -rf /mnt/auto.test
# systemctl start mnt-auto.test.automount
Job for mnt-auto.test.automount failed. See "systemctl status mnt-auto.test.automount" and "journalctl -xe" for details.
# systemctl status mnt-auto.test.automount
● mnt-auto.test.automount
   Loaded: loaded (/etc/fstab; bad; vendor preset: disabled)
   Active: inactive (dead)
    Where: /mnt/auto.test
     Docs: man:fstab(5)
           man:systemd-fstab-generator(8)

May 29 13:06:03 vm systemd[1]: Path /mnt/auto.test is already a mount point, refusing start for mnt-auto.test.automount
May 29 13:06:03 vm systemd[1]: Failed to set up automount mnt-auto.test.automount.

Actual results:
mnt-auto.test.automount unit is in failed state.

Expected results:
mnt-auto.test.automount is active.

Additional info:

Worked fine in 7.4, seems to become broken in systemd from 7.5.

Comment 2 Denis Silakov 2018-06-06 16:03:04 UTC
Rough bisection discovered that everything works fine again with the following patches disabled in systemd:

#Patch0546: 0546-path-util-make-use-of-mnt_id-field-exported-in-proc-.patch
#Patch0549: 0549-test-path-util-force-rm_rf.patch
#Patch0551: 0551-mount-make-sure-we-unmount-tmpfs-mounts-before-we-de.patch
#Patch0561: 0561-automount-if-an-automount-unit-is-masked-don-t-react.patch
#Patch0601: 0601-automount-ack-automount-requests-even-when-already-m.patch
#Patch0609: 0609-core-don-t-choke-if-a-unit-another-unit-triggers-van.patch

(likely this is a bit overkill, at least the problem still exists if we disable only 601 and 609).

Comment 3 Erik Mathis 2018-06-26 15:00:15 UTC
I can confirm this is broken in 7.5 also. all my automounts nolonger work.

Comment 9 Lukáš Nykrýn 2019-02-11 09:53:00 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/260 -> post

Comment 13 David Tardon 2019-07-08 14:18:24 UTC
PR: https://github.com/systemd-rhel/rhel-7/pull/26

Comment 14 Lukáš Nykrýn 2019-07-11 13:28:35 UTC
fix merged to github master branch -> https://github.com/systemd-rhel/rhel-7/pull/26 -> post


Note You need to log in before you can comment on or make changes to this bug.